package com.ruixuan.isc.mapper;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouItemCategory;
import com.ruixuan.isc.entity.KuaishouItemList;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2023-02-03
 */
public interface KuaishouItemListMapper {

    List<KuaishouItemList> getItemList(Map<String, Object> requestMap);

    KuaishouItemList getItemInfoByItemId(Long itemId);

    void insertItem(KuaishouItemList kuaishouItemList);

    int updateKuaishouItemList(KuaishouItemList kuaishouItemList);

    int deleteKuaishouItemListByItemIds(Long[] itemIds);

    void batchCategory(@Param("adds") List<KuaishouItemCategory> adds);

    KuaishouItemCategory getCategoryInfo(@Param("categoryId") Long categoryId);

    void insertItemBindUser(@Param("itemId") Long itemId, @Param("userId") Long userId, @Param("userName") String userName);

    Long getIdByName(@Param("categoryName") String categoryName);

    List<JSONObject> getCategoryIds();

    void updateCount(@Param("itemId") Long itemId, @Param("sampleCount") Integer sampleCount, @Param("userCount") Integer userCount);

    List<Long> getActivityIds(@Param("userId") Long userId);

    List<JSONObject> selectItemInfo(@Param("map") Map<Long, Long> map);

    Integer getSampleCount(@Param("itemId") Long itemId);

    void removeById(@Param("itemId") Long itemId);

    void batchItemProcess(@Param("itemIds") JSONArray itemIds,@Param("status") Integer status,@Param("examineId") Long examineId,@Param("examineName") String examineName);

    List<JSONObject> getRegimental();

    Long selectMaxRelateId();

    List<JSONObject> getListByRelateId(@Param("relateId") Long relateId);
}

